LINUX.ORG.RU

установка viber

 


2

2

Добрый день, подскажите, вот скачен файл viber.deb если нажать 2 раза на ярлык откроется центр приложений и от туда можно установить но после такой установки viber не запускается. Сначала ошибка типа viber резко прекратил свою работу. а на второй запуск ни каких движений вообще. как через терминал установить то же не пойму. нашел инфу что вот так. sudo dpkg -i viber.deb предварительно пройдя в папку где файл. ну и нифига он не устанавливается таким образом. как быть подскажите, viber нужен край

sudo dpkg -i viber.deb

Подробности, что получаешь в ответ.

Deleted ()
Ответ на: комментарий от Deleted

в том и дело, что ни чего не показывает. после переустановки то же ни каких результатов. запускаю .. и тишина.. ни чего вообще не происходит

Vendit ()
Ответ на: комментарий от Deleted

dpkg: error processing archive viber.deb (--install): нет доступа к архиву: Нет такого файла или каталога При обработке следующих пакетов произошли ошибки: viber.deb

Vendit ()
Ответ на: комментарий от Vendit

Точно перешел в каталог с файлом? Зайти под суперпользователяsudo -s, перейди в каталог и попробуй еще раз dpkg -i viber.deb

Deleted ()
Ответ на: комментарий от Vendit

а или вот : vendit@vendit-oneTwo-1379:~/Загрузки$ sudo dpkg -i viber.deb (Чтение базы данных … на данный момент установлено 188007 файлов и каталогов.) Preparing to unpack viber.deb ... chown: невозможно получить доступ к «/home/vendit/Documents/ViberDownloads»: Нет такого файла или каталога Unpacking viber (6.0.1.5) over (6.0.1.5) ... Настраивается пакет viber (6.0.1.5) … Processing triggers for gnome-menus (3.10.1-0ubuntu2) ... Processing triggers for desktop-file-utils (0.22-1ubuntu1) ... Processing triggers for mime-support (3.54ubuntu1.1) ... Processing triggers for hicolor-icon-theme (0.13-1) ...

Vendit ()
Ответ на: комментарий от Deleted

vendit@vendit-oneTwo-1379:~$ dpkg -l|grep viber ii viber 6.0.1.5 amd64 Free Text & Calls. vendit@vendit-oneTwo-1379:~$

Vendit ()
Ответ на: комментарий от Deleted

он установлен -да. но он не запускается. даже ошибок ни каких не показывает. просто игнорит такое ощущение:)

Vendit ()
Ответ на: комментарий от Vendit

Когда из консоли запускаешь тоже никаких ошибок?

Deleted ()
Ответ на: комментарий от Vendit

Ради интереса загрузил этот дурдом. Он не копирует свой бинарник в $PATH. Запускай либо так: /opt/viber/Viber, либо сделай симлинк:

sudo ln -s /opt/viber/Viber /usr/bin/viber
и запускай проосто viber

Deleted ()
Последнее исправление: log4tmp (всего исправлений: 1)
Ответ на: комментарий от Deleted

vendit@vendit-oneTwo-1379:~$ sudo ln -s /opt/viber/Viber /usr/bin/viber vendit@vendit-oneTwo-1379:~$ viber This application failed to start because it could not find or load the Qt platform plugin «xcb».

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, wayland-egl, wayland, xcb.

Reinstalling the application may fix this problem. Аварийный останов (сделан дамп памяти)

вот что выдает.

Vendit ()
Ответ на: комментарий от Deleted

приложение viber внезапно закрылось. это сообщение всплыло после того как я через sudo viber попытался открыть

Vendit ()
Ответ на: комментарий от Deleted

Reinstalling the application may fix this problem. vendit@vendit-oneTwo-1379:~$ cat /etc/*release DISTRIB_ID=Ubuntu DISTRIB_RELEASE=14.04 DISTRIB_CODENAME=trusty DISTRIB_DESCRIPTION=«Ubuntu 14.04.4 LTS» NAME=«Ubuntu» VERSION=«14.04.4 LTS, Trusty Tahr» ID=ubuntu ID_LIKE=debian PRETTY_NAME=«Ubuntu 14.04.4 LTS» VERSION_ID=«14.04» HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/" vendit@vendit-oneTwo-1379:~$

Vendit ()

У тебя система 64-битная?

Turbid ★★★★★ ()
Ответ на: комментарий от Deleted

да, уже то же ознакомился. что можно придумать в данной ситуации? и да, очень это печально оказалось что не работает viber

Vendit ()

ему там каких-то пакетов не хватает. Было. Не помню каких.

targitaj ★★★★★ ()
Ответ на: комментарий от Vendit

Поставить wine и использовать windows-версию сабжа. Или поставить нормальный дистрибутив вместо этой горы глюков.

Deleted ()
Ответ на: комментарий от Vendit

Ну как вариант через strace посмотреть что он хочет и где фэйлится.

Еще apt-get install -f, мало-ли он там чего предлагал.

Deleted ()
Ответ на: комментарий от targitaj

Аварийный останов (сделан дамп памяти) . это из терминала после - viber. почему аварийный? что за дамп памяти?

Vendit ()
Ответ на: комментарий от targitaj
dpkg -l | grep viber
ii  viber                                                 4.2.2.6                                             amd64        Free Text & Calls.

вот от такой версии у меня в Downloads валяется установочный файл. Могу закинуть куда-нибудь типа яндекс-диска.

в убунте 14.04 работает нормально

targitaj ★★★★★ ()
Последнее исправление: targitaj (всего исправлений: 1)
Ответ на: комментарий от Deleted

вот тут по подробнее можно если не затруднит) как поставить нормальный (и что такое нормальный дистрибутив) а по поводу wine- попробую и дам знать как что вышло

Vendit ()
Ответ на: комментарий от targitaj

было бы неплохо. яндекс диск подойдет. попробывать его тоже нужно.

Vendit ()
Ответ на: комментарий от anonymous

я хз, как-то не довелось попробовать

сегодня могу попробовать. Ща файрволл тока доперепилю.

targitaj ★★★★★ ()
Последнее исправление: targitaj (всего исправлений: 1)
Ответ на: комментарий от targitaj

ну что , скачал с я.диска твоего. через ерминал сколько не пытался установить. ни как. затем кликнул по по ярлыку он перекинул на центр приложений от туда установилась версия 4.с чемто и заработала наконец программа. В связи с этим закрываю вопрос. большое спасибо что помогли. Завтра буду скайп устанавливать :):):):):)

Vendit ()
Ответ на: комментарий от Vendit

с терминала надо было вывод сюда дать. Я же говорил, ему там чего-то не хватает, а само дотащить нужные пакеты не может. В ругани в консоли явно пишет что именно. Я просто не помню.

targitaj ★★★★★ ()
Ответ на: комментарий от Vendit

Завтра буду скайп устанавливать

ты только это, из реп ставь, без скачивания .deb-пакетов бесплатно и без смс

upcFrost ★★★★★ ()
Ответ на: комментарий от upcFrost

из реп ставьиз репозитория? а как это?) не совсем понимаю всю суть процесса. еще интересен стал момент и комментария alexferman что нужно поставить нормальный дестриюутив, хотлеось бы по подробнее. где такой взять. а так я в принцепе понимал с самого начала что со стандартным далеко не уедешь) вот толлько толи правильно понял толи нет. подскажите..

Vendit ()
Ответ на: комментарий от Vendit

нужно поставить нормальный дестриюутив,

эх, грамотность... не слушай, тут у всех и дистр шлак, и шрифты не лучше. Это стандартный ответ

ок, короче. Во-первых почему не нужно ставить отдельными пакетами - тебе же и обновляться надо, и зависимости решать. Первое можно забыть, второе добавляет геморроя. Да и что ты там с ifolder (он еще жив?) скачал никто не знает.

Судя по тому что у тебя deb-based дистр, это либо минт либо убунта (сомневаюсь что дебиан). В любом случае для начала прошерсти меню на предмет чего-то типа Software center (убунта), Package manager (минт) или как-то так. Там героически выбираешь мышкой что поставить и жмешь ок. Само скачает и поставит из проверенного источника

Если совсем четко знаешь какой пакет тебе нужен (скажем, скайп) и тебе невероятно лениво открывать графику, можешь открыть терминал и написать для начала

sudo apt-cache search skype
Он выдаст тебе пакеты где это добро упоминается, допустим пакет так и будет называться skype. Потом команда на установку
sudo apt-get install skype
Хотя со скайпом может быть чуть хитрее потому что его вроде выпихнули из основной репы. Тогда нужно подключать дополнительные, это ниже по ссылке показано.

Если в картинках и конкретно для скайпа - тебе сюда. Логика примерно одинакова.

И еще раз, плз, не ставь в линуксе скачанные с шары пакеты только если ты четко не знаешь что их нет ни в оф репах, ни в ppa (частных репах), и что они тебе очень нужны.

upcFrost ★★★★★ ()
Последнее исправление: upcFrost (всего исправлений: 3)
Ответ на: комментарий от upcFrost

тебе наверно часто говорят что ты мастерски умеешь объяснить.. столько вопросов отпало. Согласен каждого не переслушаешь и исполнять предлогаемое каждым так не хватит нервов времени и сил (наверно) но, твои советы возьму на заметку. и распыляться не стану. на самом деле нет таких приложений программ которые мне бы потребовались для работы и которых я не смогу найтя стандартным путем. Тогда пользуясь слхъучаем хочу уточнить еще кое что из выше написанного тобой: И еще раз, плз, не ставь в линуксе скачанные с шары пакеты только если ты четко не знаешь что их нет ни в оф репах, ни в ppa (частных репах), и что они тебе очень нужны. как и каким образом можно посмотреть то что мне нужно ну вот например скайп вибер браузеры и тд. репозитории я так понимаю. Но вот с виберм не получилось по простому с сайта скачал архив как понимаю viber.deb затем запустил его и еще раз скачал из центра приложений .(2 раза что ли получается скачал) и он не установился. но то дело старое. уже решил вопрос. как быть в будущем..

Vendit ()
Ответ на: комментарий от Vendit

как быть в будущем

Дам плохой совет, который зато упростит задачу с версиями софта - обнови Ubuntu до 15.10 (или какой там актуальный релиз). Здорово упростит дело (в Ubuntu есть графическая обновлялка, если мне память не изменяет), и Viber последний въедет.

DeadEye ★★★★★ ()
Ответ на: комментарий от Vendit

Плюсую пони (аж стыдно, ну ладно), лучше обновиться. Это тоже делается автоматом через Update Center или что-то в таком духе (убунту, тем более в стандартной поставке, видел раза три в жизни, название могу переврать). но тут есть еще один ньюанс.

Скайп и вибер как раз не самые лучшие примеры, они оба закрытые и под хитрыми лицензиями, их в оф реп ставить очень не любят. А так - абсолютно аналогично: открыл Software Center (или сначала гугель если не слишком уверен что именно ищешь), там просмотрел скажем браузеры, выбрал какой хочешь, отметил к установке, нажал ок. В 99% случаев в конце это добро автоматом появится в твоем меню

p.s. кстати если после обновления внезапно отвалится графика и вместо загрузки будет консоль - логинишься и набираешь startx (или как оно там), оно выплюнет в чем именно ошибка. Вероятность что так будет мала, просто я хорошо помню как мандрива 2008 на 2009 обновлялась на видяхе от ATI :)

upcFrost ★★★★★ ()
Последнее исправление: upcFrost (всего исправлений: 1)
Ответ на: комментарий от DeadEye

спасибо большое)) обнавляюсь) а вот в последних двух комментариях вы пишете словно юбунту для вас что то давно забытое старое.. Юбунта и правда такая?)

Vendit ()
Ответ на: комментарий от Vendit

в последних двух комментариях

Ой, пожалуйста, не надо нас путать, я DeadEye, а он upcFrost. (=

и правда такая

Зависит, что под этим понимать. Видимо, он имел в виду то, что давно не пользовался.

DeadEye ★★★★★ ()
Ответ на: комментарий от Vendit

юбунту для вас что то давно забытое старое..

эволюция красноглазиков, народ часто сползает с user-friendly дистров на что-то более гибкое и хардкорное, но в целом вся эта хардкорность все равно остается дома, на сервер я бы генту ставить не стал.

Я скажем убунтой никогда особо не пользовался, разве что серверной один раз. Начинал с мандривы 2008, до этого по мелочи типа мандрейка и шапки.

Убунта не старая, вернее не всякая убунта старая. У нее есть номер версии, скажем 14.10 - это год и месяц. Последняя вроде 15.10, они два раза в год релиз выпускают.

И да, не надо нас путать, он пони, а у меня кошерный кубовый гном на аве :)

upcFrost ★★★★★ ()

Я слоупок, и тред не перечитывал.

Лично у меня осенью в убунте 15.10 отвалился вайбер и никак не хотел запускаться. В unity, причём. В kde запускалось.

Поставил арчик - в kde не работает вайбер. В openbox и cinnamon - без проблем. Таки странный он, этот вайбер.

Причём вылетал каждый раз на загрузке сообщений. Так и не разобрался, что с ним было.

ekzotech ★★★★ ()

Viber segfault ится, последний, в арче

int13h ★★★★★ ()
Ответ на: комментарий от int13h

Последний это какая версия? В manjaro прекрасно работает 6.0.1

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.